# API documentation

- [Message Signing](https://docs.cryptosat.io/cryptosat/api-documentation/message-signing.md)
- [Authentication](https://docs.cryptosat.io/cryptosat/api-documentation/authentication.md): How to authenticate to any API
- [Randomness API](https://docs.cryptosat.io/cryptosat/api-documentation/randomness-api.md)
- [Tutorial](https://docs.cryptosat.io/cryptosat/api-documentation/randomness-api/tutorial.md): Provides documentation of API endpoint for getting randomness.
- [API reference](https://docs.cryptosat.io/cryptosat/api-documentation/randomness-api/api-reference.md): Describes the API endpoints
- [Queue API](https://docs.cryptosat.io/cryptosat/api-documentation/queue-api.md): This documents the request queue API.
- [API reference](https://docs.cryptosat.io/cryptosat/api-documentation/queue-api/api-reference.md): Describes the API endpoints
- [Queue](https://docs.cryptosat.io/cryptosat/api-documentation/queue-api/api-reference/queue.md): Implements an asynchronous request queue.
- [Request](https://docs.cryptosat.io/cryptosat/api-documentation/queue-api/api-reference/queue/request.md): Enables to query a specific request. The Request identifier is obtained from the Request Object from any asynchronous requests performed on the API.
- [Requests](https://docs.cryptosat.io/cryptosat/api-documentation/queue-api/api-reference/queue/requests.md)
- [Public randomness SAPI](https://docs.cryptosat.io/cryptosat/api-documentation/public-randomness-sapi.md): This documents the public randomness SAPI
- [About](https://docs.cryptosat.io/cryptosat/api-documentation/public-randomness-sapi/about.md): Provides documentation of API endpoint for getting randomness.
- [API reference](https://docs.cryptosat.io/cryptosat/api-documentation/public-randomness-sapi/api-reference.md): Describes the API endpoints
- [Public randomness](https://docs.cryptosat.io/cryptosat/api-documentation/public-randomness-sapi/api-reference/public-randomness.md)
- [Result](https://docs.cryptosat.io/cryptosat/api-documentation/public-randomness-sapi/api-reference/public-randomness/result.md): Produces public random hex value
- [FROST API](https://docs.cryptosat.io/cryptosat/api-documentation/frost-api.md): This documents the FROST threshold signing API.
- [About](https://docs.cryptosat.io/cryptosat/api-documentation/frost-api/about.md): Provides documentation of API endpoints for storing and deleting private keys, as well as creating partial signatures.
- [API reference](https://docs.cryptosat.io/cryptosat/api-documentation/frost-api/api-reference.md): Describes the API endpoints
- [Frost](https://docs.cryptosat.io/cryptosat/api-documentation/frost-api/api-reference/frost.md): Storing, signing with and delete private keys.
- [Partial sign](https://docs.cryptosat.io/cryptosat/api-documentation/frost-api/api-reference/frost/partial-sign.md): Uses a previously stored key to create a threshold signature.
- [Private key](https://docs.cryptosat.io/cryptosat/api-documentation/frost-api/api-reference/frost/private-key.md): Stores and deletes private keys.
- [Satellite Public Keys](https://docs.cryptosat.io/cryptosat/api-documentation/satellite-public-keys.md): Public keys for Cryptosat response authentication


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cryptosat.io/cryptosat/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
